Subject: Re: Feed, know thyself?

From: "John Panzer" <[email-masked]>
Date: Fri, 14 Jan 2005 13:44:13 -0800

Hmmm.  Not looking at the spec, but at the feeds we're currently
producting for AOL Journals, our feeds have <link rel="service.feed"
...> essentially pointing to themselves, which I yesterday thought was
redundant but perhaps is actually useful.  Useful enough to be
mandatory, perhaps?

-John

Danny Ayers wrote on 1/14/2005, 12:37 PM:

  >
  > I was just in the middle of putting the world to rights regarding feed
  > discovery/subscription from browsers [1] when something occurred to
  > me. Correct me if I'm wrong, but isn't one of the solutions for this
  > to serve the feed with the Atom mime type, which will trigger an
  > appropriate handler in the browser?
  >
  > If I remember correctly from previous discussions, there is a little
  > snag with most browsers only passing the data, not the source URI.
  > Thing is, with the spec as it currently stands, we don't have a link
  > from the feed that can be guarenteed to point to the feed URI itself.
  > Having the handler go back to a HTML page to do autodiscovery seems a
  > little roundabout. Relevant spec bit pasted below.
  >
  > Thoughts?
  >
  > Cheers,
  > Danny.
  >
  >
  > 4.2.2  "atom:link" Element
  >
  >    The "atom:link" element is a Link construct that conveys a URI
  >    associated with the feed.  The nature of the relationship is
  >    determined by the construct's rel attribute.
  >
  >    atom:head elements MUST contain at least one atom:link element with a
  >    rel attribute value of "alternate".
  >
  >    atom:head elements MUST NOT contain more than one atom:link element
  >    with a rel attribute value of "alternate" that has the same type
  >    attribute value.
  >
  > [1] http://danja.typepad.com/uncooked/2005/01/life_the_univer.html
  >
  >
  > --
  >
  > http://dannyayers.com
  >

-- 
John Panzer | Sr Technical Manager, AOL
Blog: http://journals.aol.com/panzerjohn/abstractioneer

--
John Panzer | Sr Technical Manager, AOL
Blog: http://journals.aol.com/panzerjohn/abstractioneer